DEFINT A-Z

' $INCLUDE: 'PARM.INC'
' $INCLUDE: 'TRUEFALS.INC'

DECLARE SUB BorderLines (parm())


'External functions:

DECLARE SUB GetColor (fg, bg)
DECLARE SUB SetColor (fg, bg)

SUB BorderLines (parm())
'****************************************************************************
'Primarily called from other library functions, the BorderLines() SUB draws
' lines on the top and bottom of a pick screen, advising the user of the
' availability of (or lack of) more items that are not currently shown on the
' screen.
'
'    parm(1) = row of top line
'    parm(2) = row of bottom line
'    parm(3) = top element
'    parm(4) = bottom element
'    parm(5) = min element
'    parm(6) = max element
'
'See functions PickOne() and PickSome() for examples of use.
'
'****************************************************************************

                                        'Calculate if there's more stuff
IF parm(3) > parm(5) THEN up = TRUE
IF parm(4) < parm(6) THEN down = TRUE
IF up THEN more$ = CHR$(24) ELSE more$ = "-"
more$ = more$ + "More"
IF down THEN more$ = more$ + CHR$(25) ELSE more$ = more$ + "-"
IF NOT up AND NOT down THEN more$ = "Bottom"

GetColor up, down                       'Reuse these now unneeded variables
SetColor parm(FGH), parm(BGN)
LOCATE parm(1), 1
PRINT STRING$(80, 196)
LOCATE parm(2), 1
PRINT STRING$(70, 196); "-"; more$; STRING$(3, 196);
SetColor up, down

END SUB

