DEFINT A-Z

DECLARE SUB SetColor (fg, bg)
DECLARE SUB GetColor (fg, bg)

SUB GetColor (fg, bg)
'****************************************************************************
'GetColor() is used to retrieve the current screen color values.  The fg and
' bg parameters will be updated with these values.
'****************************************************************************

fg = -1                  'By passing negative numbers to SetColor(), we are
bg = -1                  'telling it to update its arguments with the values
                         'it currently has stored and not change anything.
SetColor fg, bg

END SUB

SUB SetColor (fg, bg) STATIC
'****************************************************************************
'SetColor() is used to set the current screen colors in place of the COLOR
' statement.  This allows the use of the GetColor() function to retrieve the
' current color settings.
'****************************************************************************

IF fg >= zero AND bg >= zero THEN       'If both values are valid color
     sfg = fg                           'values, change the colors and store
     sbg = bg                           'these values.
     COLOR fg, bg
ELSEIF fg < zero AND bg < zero THEN     'If both values are negative, this
     fg = sfg                           'must be a reqeust from GetColor() to
     bg = sbg                           'retrieve the current settings.
END IF

END SUB

