DEFINT A-Z

DECLARE SUB Snooze (t!)

SUB Snooze (t!)
'****************************************************************************
'Snooze() will suspend execution of your program for t! seconds or until a
' key is pressed.  This sub was developed due to SLEEP's shortcomings:  It
' accepts single precision time periods instead of whole seconds, and it does
' not leave the exit key lingering in the keyboard buffer.
'
'Note: This sub is not super-accurate, and can be off by almost a whole clock
' tick (1/18 second) depending on when the sub is entered.
'
'****************************************************************************

zzz! = TIMER + t!

DO WHILE TIMER < zzz!
     IF LEN(INKEY$) THEN EXIT DO
LOOP

END SUB

