DEFINT A-Z

DECLARE SUB Wipe (row)
DECLARE SUB WipeArea (t, l, b, r)

SUB Wipe (row)
'****************************************************************************
'Clears a row on the screen.  The cursor is positioned back at the beginning
' of the row when finished.
'****************************************************************************

LOCATE row, 1            'Fill the row with spaces & place the cursor back at
PRINT SPACE$(80);        'the beginning of the row.  Very simple, but handy.
LOCATE row, 1

END SUB

SUB WipeArea (t, l, b, r)
'****************************************************************************
'Clears an area of the screen defined by the coordinates t, l, b and r.  The
' cursor is positioned back at the top left coordinates when finished.
'****************************************************************************

sp$ = SPACE$(r - l + 1)            'Only call the SPACE$() function once.

FOR x = t TO b                     'Fill an area of the screen with spaces
     LOCATE x, l                   'and relocate the cursor back at the top
     PRINT sp$;                    'left corner of the area.
NEXT x
LOCATE t, l

END SUB

