DEFINT A-Z

DECLARE FUNCTION CountIn (search$, lookfor$)

FUNCTION CountIn (search$, lookfor$)
'****************************************************************************
'Returns the number of times that a substring is found within a string.
'****************************************************************************

IF LEN(search$) AND LEN(lookfor$) THEN            'Don't bother with nulls.

     x = INSTR(search$, lookfor$)                 'Find the first occurrence.

     DO WHILE x > 0                               'Go through the string
          count = count + 1                       'incrementing count and the
          x = INSTR((x + l), search$, lookfor$)   'start position each time
     LOOP                                         'the substring is found.

     CountIn = count                              'Return the count.

END IF

END FUNCTION

