DEFINT A-Z

' $INCLUDE: 'DIR.INC'
' $INCLUDE: 'TRUEFALS.INC'

DECLARE FUNCTION FileExist (file$)

FUNCTION FileExist (file$)
'****************************************************************************
'Returns TRUE or FALSE depending on whether the specified file exists.  If
' used with a wildcard, it will return TRUE if any file matches the wildcard.
' Passing a null string will return FALSE.
'****************************************************************************

IF LEN(file$) = 0 THEN EXIT FUNCTION    'Null string returns FALSE.

DIM DirInfo AS DirType                  'This one's pretty easy.

f$ = Dir$(file$, DirInfo)

IF DirInfo.ErrorCode = 0 THEN FileExist = TRUE

END FUNCTION

