'parm(1 to MINPARM-1) - Usage varies with each function.  See the functions'
' source for the appropriate assignments.

'Min/Max settings:
' These constants are used to identify the lower and upper bounds of the 
' pre-defined parm() elements.  Use MAXPARM when creating your parm() array.
' The lower bound of the array should always be one (1).

CONST MINPARM = 21       'Start of the pre-defined parm() elements.
CONST MAXPARM = 33       'Upper boundary of parm() array.
CONST MINCOLOR = 21      'First screen color element.
CONST MAXCOLOR = 33      'Last screen color element.

'Screen Colors:  
' (FG = Foreground, BG = Background)  
' All the library functions that accept parm() as an argument assume that the 
' screen colors are currently set as COLOR parm(FGN),parm(BGN) and will 
' restore this color setting upon exit.  If you remember this, your code and
' the library functions will get along just fine.

CONST FGN = 21           'Normal FG
CONST BGN = 22           'Normal BG
CONST FGH = 23           'Highlighted FG
CONST FGD = 24           'Dimmed FG
CONST FGS = 25           'Selected FG
CONST BGS = 26           'Selected BG
CONST FGDS = 27          'Dimmed Selected FG
CONST FGWB = 28          'Window Border FG
CONST BGWB = 29          'Window Border BG
CONST FGWT = 30          'Window Text FG
CONST BGWT = 31          'Window Text BG
CONST FGWS = 32          'Window Selected FG
CONST BGWS = 33          'Window Selected BG
